BasicMarkerTest (SLF4J 1.7.4 Test API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.slf4j
Class BasicMarkerTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.slf4j.BasicMarkerTest

All Implemented Interfaces:
  junit.framework.Test

    public class BasicMarkerTest

extends junit.framework.TestCase

Unit test BasicMarker

Author:
  Ceki Gülcü, Joern Huxhorn

Constructor Summary
`BasicMarkerTest()`

Method Summary
`void` | `testAddRemove()`
`void` | `testComposite()`
`void` | `testCompositeByName()`
`void` | `testHomonyms()`
`void` | `testIndirectRecursion()`
`void` | `testMultiAdd()`
`void` | `testMultiComposite()`
`void` | `testMultiCompositeByName()`
`void` | `testPrimitive()`
`void` | `testPrimitiveByName()`
`void` | `testSelfRecursion()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicMarkerTest

    public BasicMarkerTest()

Method Detail

### testPrimitive

    public void testPrimitive()

### testPrimitiveByName

    public void testPrimitiveByName()

### testComposite

    public void testComposite()

### testCompositeByName

    public void testCompositeByName()

### testMultiComposite

    public void testMultiComposite()

### testMultiCompositeByName

    public void testMultiCompositeByName()

### testMultiAdd

    public void testMultiAdd()

### testAddRemove

    public void testAddRemove()

### testSelfRecursion

    public void testSelfRecursion()

### testIndirectRecursion

    public void testIndirectRecursion()

### testHomonyms

    public void testHomonyms()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2013 QOS.ch. All Rights Reserved.